/*****************************************************************************
 * $Id: gfx_debug.hh,v 1.1 2006/10/10 04:22:05 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Debug support (unused because my code is always perfect).
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#if DEBUG

#ifndef GFX_DEBUG_HH
#define GFX_DEBUG_HH 1

namespace gfx {

uint
MemUsed( void );

void
MeasureTime( void(*func)(long), long funcArg, const string& funcName );

} // namespace gfx

#endif // GFX_DEBUG_HH

#endif // DEBUG
