/*****************************************************************************
 * $Id: keyboard_opengl.hh,v 1.2 2006/09/02 17:37:12 jimb Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Keyboard functions for input event queue.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef GFXINPUT_KEYBOARD_OPENGL_HH
#define GFXINPUT_KEYBOARD_OPENGL_HH 1

// -----------------------------------------------------------------------------
namespace gfxInput {

void
GfxsysEnableKeyboard( void );

#if GFXINPUT_KEYBOARD_OPENGL_CC
static void OpenglKeyboardCommon( int key, bool special, bool press );
static void OpenglKeyboard( unsigned char key, int x, int y );
static void OpenglKeyboardSpecial( int key, int x, int y );
static void OpenglKeyboardRelease( unsigned char key, int x, int y );
static void OpenglKeyboardSpecialRelease( int key, int x, int y );
#endif

} // namespace gfxInput
// -----------------------------------------------------------------------------

#endif // GFXINPUT_KEYBOARD_OPENGL_HH
