/*****************************************************************************
 * $Id: mod_pony_event.hh,v 1.1 2006/11/25 17:42:21 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Events.
 *//*
 * LEGAL:	COPYRIGHT (C) 2006 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_PONY_EVENT_HH
#define MOD_PONY_EVENT_HH 1

#include "mod_base_event.hh"

////////////////////////////////////////////////////////////////////////////////
/// @brief Module event nexus.
///
class ModulePonyEvents
{
PREVENT_COPYING(ModulePonyEvents)
public:
	ModulePonyEvents( void ) { }
	~ModulePonyEvents() { }
public:
	Event<void>			mWeather;  // weather changed
};

// Global.
#if MOD_PONY_CC
       ModulePonyEvents gModulePonyEvent;
#else
extern ModulePonyEvents gModulePonyEvent;
#endif

#endif // MOD_PONY_EVENT_HH
