/*****************************************************************************
 * $Id: gfx_os.cc,v 1.22 2006/11/02 02:23:30 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Operating-system specific functions.
 * @remarks	File functions are at gfx_file.cc.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#define GFX_OS_CC 1
#include "gfx.hh"
namespace gfx {

/*****************************************************************************
 * Relinquish CPU for specified milli-seconds.
 *****************************************************************************/
void
Snooze( uint milsec )
{
	usleep( milsec * 1000 );
}

} // namespace gfx
