/*****************************************************************************
 * $Id: mod_defs.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See mod_base.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_DEFS_HH
#define MOD_DEFS_HH 1

//------------------------------------------------
// Which module to compile.
#define MODULE		(MODULE_PONY)
//------------------------------------------------

// Module enumerations.
#define MODULE_PONY			1
#define MODULE_BLUE_ZAXX	2

#if MODULE == MODULE_PONY
class ModulePony;
#	define MODULE_CLASS		ModulePony
#	include "mod_pony_defs.hh"
#else
#	error
#endif

#endif // MOD_DEFS_HH
