/*****************************************************************************
 * $Id: mod_world.hh,v 1.1 2006/11/24 21:56:57 devel Exp $
 * @file
 * @author	Jim E. Brooks  http://www.jimbrooks.org
 * @brief	Meta header file.
 * @remarks	See mod_base.hh.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE (GPL).
 *****************************************************************************/

#ifndef MOD_WORLD_HH
#define MOD_WORLD_HH 1

#include "mod_defs.hh"		// defines MODULE etc

#if MODULE == MODULE_PONY
#	include "mod_pony_world.hh"
#	define MODULE_WORLD_CLASS	ModulePonyWorld
#else
#	error
#endif
extern MODULE_WORLD_CLASS gWorld;

#endif // MOD_WORLD_HH
